/* When run at startup gets a random number based on the changing CTA */
long randseed() {
	long random = 1;
	int rand = 0;
    int prevnum = 0,
	int count = 1;

	while (count < 30000) { // Repeat through many times to make more random and to allow the CTA value to change multiple times
		rand = VIP_REGS[CTA];
		if (random == 0) random = 1; // Prevent % by zero
			
		random += ((rand*count) + (count%random));	// Just randomly doing stuff to the number

		if (rand == prevnum) // If the CTA value doesnt change then count up
			count++;
		else
			count = 0; // If the number does change then restart the counter
		prevnum = rand;	// Keep track of the last number
	}
	return random; // Returns the random seed
}

/* Returns a random number in the requested range from the random seed */
int randnum(long seed, int randnums) {
	return (seed%randnums);	// Returns the random number
}
